org.apache.lucene.store

## Class SimpleFSDirectory.SimpleFSIndexInput.Descriptor

- java.lang.Object
- - java.io.RandomAccessFile
  - - org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexInput.Descriptor

- All Implemented Interfaces:
    java.io.Closeable, java.io.DataInput, java.io.DataOutput, java.lang.AutoCloseable
  Direct Known Subclasses:
    FSDirectory.FSIndexInput.Descriptor
  Enclosing class:
    SimpleFSDirectory.SimpleFSIndexInput

      protected static class SimpleFSDirectory.SimpleFSIndexInput.Descriptor
      extends java.io.RandomAccessFile

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `isOpen`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Descriptor(java.io.File file, java.lang.String mode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`

    - ### Methods inherited from class java.io.RandomAccessFile

      `getChannel, getFD, getFilePointer, length, read, read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, seek, setLength, skipBytes, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isOpen

          protected volatile boolean isOpen

  - ### Constructor Detail

    - #### Descriptor

          public Descriptor(java.io.File file,
                            java.lang.String mode)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `java.io.RandomAccessFile`
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.